Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.func
Class ContainsLC

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.func.Func
                  org.basex.query.xpath.func.ContainsLC

    public final class ContainsLC

extends Func

Constructor for implementation specific containslc() function; compares all tokens in lower case.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`static java.lang.String` | `NAME` Name of function.

Fields inherited from class org.basex.query.xpath.func.Func
`desc`

Constructor Summary
`ContainsLC(Expr[] arg)` Function Constructor.

Method Summary
`boolean` | `checkArguments()` Checks validity/number of arguments.
`Expr` | `comp(XPContext ctx)` Optimizes the expression.
`Bln` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.

Methods inherited from class org.basex.query.xpath.func.Func
`evalArgs, plan, toString, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue, sameAs`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  Name of function.

Constructor Detail

### ContainsLC

    public ContainsLC(Expr[] arg)

  Function Constructor.

  Parameters:
    `arg` - expression array

Method Detail

### eval

    public Bln eval(XPContext ctx)
             throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `QueryException` - evaluation exception

### checkArguments

    public boolean checkArguments()

  Description copied from class: `Func`
  Checks validity/number of arguments.

  Specified by:
    `checkArguments` in class `Func`
  Returns:
    result of comparison

### comp

    public Expr comp(XPContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes the expression.

  Overrides:
    `comp` in class `Func`
  Parameters:
    `ctx` - expression context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD